Support
View guides

PUT /api/house

This end point allows you to update a single existing property on property manager's portfolio. It accepts PUT requests to

https://sturents.com/api/house

The body of the request should be a JSON object which matches the form specified below. View the authentication instructions to see how to authenticate your requests.

  • All data types are assumed to be strings unless stated otherwise.
  • Objects must always specify each key even if it is empty (or zero in the case of numeric fields)
  • Arrays may specify "one or more" OR "zero or more" which determines whether they will be considered valid.
  • Fields which must not be empty are underlined in blue

If a property with the specified reference field does not exist the endpoint will return a warning. Therefore this endpoint provides a safe way to ensure you cannot duplicate an existing property.

Property object
  • reference - a unique reference to the property on your platform which will not change
  • available - an array of one or more availability objects
  • designation - "house" | "pbsa"
  • beds_available - the number of bedrooms (formerly called "beds"). If set to "zero" this will list the property as a studio flat
  • beds_total - the number of bedrooms (if not specified, will be set the same as the value above)
  • rooms_let_individually - boolean where true indicates each room may be let on a separate contract
  • quantity - When designation is set to "pbsa" this describes the number of identical rental options available
  • quantity_available - as above, but currently available to rent
  • room_type - When designation is set to "pbsa" each property record describes a type of room. This field gives that type a name e.g. "Deluxe En-suite"
  • property_type - "Residential"
  • description - a plain text or HTML description of the property. Please note HTML will be stripped but the HTML structure will be used to render line breaks where necessary
  • bathrooms - number of bathrooms
  • floor_space - floor space of the property in square metres
  • facilities - an array of zero or more facility names. Click to view allowed facilities
  • address - an address object
  • coordinates - a coordinates object
  • contracts - an array of one or more contract objects
  • media - a media object
  • energy_performance - an energy performance object
  • accreditations - an array of zero or more accreditation objects
  • incomplete - boolean where true indicates that the property is not ready to be made public to students or shown in search results
  • eligibility - an eligibility object
Availability object
  • start_date - the earliest date at which it is possible to move in to the property
  • end_date - the latest date at which it is possible to vacate the property
  • min_contract_days - the minimum time a tenant may rent the property for in days
Address object
  • property_name - this is required if "property_number" is empty
  • property_number - this is required if "property_name" is empty
  • road_name
  • city
  • postcode
  • uprn - if available, the unique property reference
Coordinates object
  • lat
  • lng
Contract object
Price object
  • amount - a monetary value float
  • amount_per - "person" | "property"
  • time_period - "month" | "week" | "quarter" | "year"
  • utilities - a utilities object
Deposit object
  • amount - a monetary value float
  • amount_per - "person" | "property"
Utilities object

All keys are boolean where true indicates that this utility is included with the rent.

  • water
  • gas
  • electricity
  • broadband
  • phone
  • contents_insurance
Restriction object
  • start_date - the date that the contract this restriction belongs to is available from
  • end_date - the date that the contract this restriction belongs to is available until
  • terms - a text block describing this restriction (e.g. "For home students only")
  • min_contract_days - minimum days a student must be renting for the prices in this contract to be valid
Media object
  • photos - an array of zero or more photo objects. The order of photos will be maintained in the gallery; the 1st will be the profile photo
  • videos - an array of zero or more video embed URLs
  • floorplans - an array of zero or more URLs which link to floorplan files (image or pdf)
  • tours - an array of zero or more 360 tour URLs to an external service. Any 360 tour source can be supplied and used as a link
Photo object
  • type - "url"
  • photo - a URL linking to a photo file
  • thumb - a URL linking to a thumbnail photo file
  • caption - a string

A planned future development is to allow a separate mechanism to upload photos via FTP, which will utilise the "type" field

Energy performance object
  • epc_reference - the reference on the property's energy performance certificate
  • epc_certificate - a URL to download the energy performance certificate
  • eef_current - an integer
  • eef_potential - an integer
  • co2_current - an integer
  • co2_potential - an integer
Accreditation object
  • type - title of an accreditation on the property
  • reference - the reference connecting the property to its accrediting agency
  • expiry - when the accreditation will expire (empty is assumed to not expire)
Eligibility object

Each key is a boolean indicating if the specified item is eligible to rent the property. At least one field must be set to true

  • undergraduate_student
  • postgraduate_student
  • professional
  • trainee
  • dss - indicates a recipient of UK housing benefit
  • pets_permitted
  • smoking_permitted
  • female_only
  • male_only

Sample libraries

We have written sample libraries to handle generation of an authentication token and submission to our API. If your language is not included, please feel free to suggest it to our API team via email

Our API is rate limited for identical requests, if you are constantly receiving an error code 429, please reduce the frequency of your requests. Identical requests are those with the exact same query parameter values. We strongly encourage that if you are encountering this issue during local development you cache/save the response from the API.

We have a support email for developers if you have any questions or encounter problems whilst using the API.